php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #16912 Compilation error
Submitted: 2002-04-29 14:27 UTC Modified: 2002-10-25 01:00 UTC
Votes:5
Avg. Score:5.0 ± 0.0
Reproduced:5 of 5 (100.0%)
Same Version:2 (40.0%)
Same OS:2 (40.0%)
From: Jakub dot Gnat at webdynamix dot de Assigned:
Status: No Feedback Package: Servlet related
PHP Version: 4.2.0 OS: SuSe Linux 7.3
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: Jakub dot Gnat at webdynamix dot de
New email:
PHP Version: OS:

 

 [2002-04-29 14:27 UTC] Jakub dot Gnat at webdynamix dot de
I got PHP code source form www.php.net and I could not compile a file servlet.java. (sapi/servlet) There is a line (75) where is "result+=concat + name + "=" + URLEncoder.encode(value,"UTF-8")" I checked a method encode and it has only one parameter as String so I delete the second one and I compiled successfully. I used to compile
J2EESDK 1.3.1 from Sun, but I don't know if it will be work correctly.  

'./configure' '--disable-debug' '--enable-tracks-vars' '--with-apxs=/usr/local/apache/bin/apxs' '--with-servlet' '--with-java'

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-04-29 19:33 UTC] sniper@php.net
First of all, drop the --with-apxs from your configure line.
You can not compile 2 sapis at same time.

Also, read the sapi/servlet/README file.

 [2002-04-30 05:03 UTC] Jakub dot Gnat at webdynamix dot de
1. Thank's for a tip. I did this, but the main problem still exists I cannot reach a stable version of PHP servlet(Tomcat craches). This time I configured PHP only --with-java --with-servlet. 

2. The problem of compilation exists when is used the JDK 1.3. with JDK1.4 compilation is successful. I think it(which JDK) should be added to the sapi/servlet/README to avoid a frustration.   

Best regards
 [2002-07-26 11:24 UTC] john at nua-tech dot com
I am having the same problem with sun jdk1.3, I want to use php/cocoon and xindice on the same box, but cannot due to the fact that Xindice requires jdk1.3
 [2002-07-26 11:43 UTC] john at nua-tech dot com
BTW, I'm using RH 6.2 PHP 4.2.2 Tomcat 4.04 and Sun's JDK1.3.0 

Damn, the same thing happens in J2SDK1.4.0-01.

I'm configuring --with-servlet=/usr/local/tomcat/common --with-java=/usr/local/J2SDK1.4.0-01

It configures, but when I try to run a make I get:

make[3]: Entering directory `/home/dougie/build/php-4.2.2/sapi/servlet'
/home/dougie/build/php-4.2.2/build/shtool mkdir -p net/php
javac net/php/reflect.java
javac -classpath .:/usr/local/tomcat/common/lib/servlet.jar:/usr/java/j2sdk1.4.0_01/lib/ net/php/servlet.java
net/php/servlet.java:75: encode(java.lang.String) in java.net.URLEncoder cannot be applied to (java.lang.String,java.lang.String)
          result += concat + name + "=" + URLEncoder.encode(value, "UTF-8");
                                                    ^
1 error
make[3]: *** [phpsrvlt.jar] Error 1
make[3]: Leaving directory `/home/dougie/build/php-4.2.2/sapi/servlet'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/dougie/build/php-4.2.2/sapi/servlet'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/dougie/build/php-4.2.2/sapi'
make: *** [all-recursive] Error 1
 [2002-10-09 11:30 UTC] iliaa@php.net
Please try using this CVS snapshot:

  http://snaps.php.net/php4-latest.tar.gz
 
For Windows:
 
  http://snaps.php.net/win32/php4-win32-latest.zip


 [2002-10-25 01:00 UTC] php-bugs at lists dot php dot net
No feedback was provided for this bug for over 2 weeks, so it is
being suspended automatically. If you are able to provide the
information that was originally requested, please do so and change
the status of the bug back to "Open".
 [2003-04-07 04:50 UTC] francois dot turi at globecast dot com
with php-4.3.2RC1
on aix 4.3.3
with JDK 1.3.1

configure -with-config-file-path=/s00/app/sso/admin/$SSO_ID/conf         \
        --with-prefix=/s00/app/php/product/$SSO_ID                      \
        --with-servlet=$CATALINA_HOME/common                            \
        --with-ldap=$LDAP_HOME                                          \
        --with-mhash=$MHASH_HOME                                        \
        --with-oci8=$ORACLE_HOME                                        \
        --with-mysql=$MySQL_HOME                                        \
        --with-java=$JAVA_HOME

Same problem.
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Sun Aug 14 18:05:43 2022 UTC